package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 操作业务
 */
@AllArgsConstructor
@Getter
public enum EOperationBusiness {

    UNKNOWN(""),

    //////////////////// 首页 ////////////////////

    APPROVAL_WAIT("待办"),

    APPROVAL_COMPLETE("已办"),

    APPROVAL_DETAIL("签呈详情"),

    APPROVAL_RECEIVE("接收签呈"),

    SYS_INFO("个人信息"),

    CHANGE_COUNTRY("切换结算国"),

    //////////////////// 信息管理 ////////////////////

    MEMBER_INFORMATION("会员信息"),
    RETAIL_MEMBER_INFO("零售会员信息"),
    MEMBER_INFO_REAL("真实信息"),
    BASE_BUSINESS("基础业务"),
    ORDER_BUSINESS("订单业务"),

    CUSTOM_BUSINESS("日常申请"),

    UPDATE_POLICY_CURRENCY("修改政策币"),

    CONFIRM_BUSINESS("确认业务"),

    ONLINE_SIGN("在线签呈"),

    EMPTY_REGISTER("空单注册"),

    MODIFY_RECOMMEND("修改直推"),

    MODIFY_RESETTLE("修改安置"),

    MODIFY_ACHIEVEMENT("注水业绩"),

    INJECT_RETAIL_ACHIEVEMENT("等级修改"),

    MODIFY_CODE("修改编号"),
    UPDATE_EXPIRE_STOP("修改会员有效期"),
    AWARD_CONTROL("真实奖衔控制"),

    MODIFY_SETTLE_COUNTRY("修改结算国家"),

    EMPTY_ORDER("空单注册"),

    EMPTY_ORDER_CREATE("生成列表"),

    EMPTY_ORDER_REGISTER("注册列表"),

    CANCEL_ORDER_LIST("撤单列表"),

    OPERATION_LOG("操作记录"),
    CU_STORE("店铺信息"),

    BUSINESS_LICENSE_LIST("营业执照列表"),
    ZERO_REVOKE("零元撤单"),

    SHARE_DELETE("删除空点"),

    //////////////////// 架构管理 ////////////////////

    SCHEME_ONE("方案一"),

    SCHEME_TWO("方案二"),

    SCHEME_THREE("方案三"),

    SCHEME_FOUR("方案四"),

    BONUS_SETTLE("奖金计算"),

    //////////////////// 结算中心 ////////////////////

    ACHIEVEMENT_TOTAL("业绩汇总"),

    BONUS_DIAL_RATIO("奖金拨比"),
    BONUS_SINGLE_PERSON_LIST("个人奖金拨比"),

    BONUS_DIAL_RATIO_CHART("拨比图表"),

    BONUS_DIAL_RATIO_LIST("拨比列表"),
    BONUS_DIAL_VERTEX_RATIO_LIST("顶点拨比列表"),
    BONUS_DIAL_VERTEX_RATIO_TOTAL("顶点拨比汇总列表"),

    BONUS_SOURCE("奖金来源"),

    BONUS_TOTAL("奖金汇总"),

    RESETTLE_DATA("安置数据"),

    RESETTLE_DATA_CHART("安置图表"),

    RECOMMEND_DATA("推荐数据"),

    //////////////////// 三方商品管理 ////////////////////

    THIRD_WARES_LIST("商品列表"),

    //////////////////// 商品管理 ////////////////////
    PRODUCT_DELETE("产品删除"),

    PRODUCT_UPDATE("产品修改"),

    PRODUCT_RELEASE("产品发布"),

    PRODUCT_LIST("产品列表"),

    WARES_RELEASE("商品发布"),

    WARES_LIST("商品列表"),

    AREA_CLASSIFY("商品分类"),

    PRODUCT_CLASSIFY("产品分类"),

    SPECIFICATIONS_CONFIG("规格配置"),

    UNIT_CONFIG("单位配置"),

    POSTAGE_CONFIG("邮费配置"),

    //////////////////// 物流管理 ////////////////////

    PRODUCT_ORDER("商品订单"),

    PRODUCT_ORDER_DETAIL("订单详情"),

    DELIVER_UNHANDLED("未合单"),

    DELIVER_HANDLED("已合单"),

    IMMEDIATE_DELIVER("立即发货"),

    ORDER_INVOICING("订单开票"),

    SELF_ORDER("自提清单"),

    //////////////////// 通知中心 ////////////////////

    NOTICE_LIST("公告列表"),

    PLATFORM_MESSAGE("站内信"),

    //////////////////// 公告管理 ////////////////////

    NOTICE_FRONT("前台公告"),

    NOTICE_AFTER("后台公告"),

    NOTICE_RELEASE("发布公告"),

    MESSAGE_MANAGE("站内信"),

    MESSAGE_CONFIG("站内信配置"),

    //////////////////// 财务管理 ////////////////////

    RECHARGE("充值"),

    FREEZE("冻结"),

    RECHARGE_DETAIL("充值明细"),

    WITHDRAWAL_DETAIL("提现明细"),

    CONSUMPTION_DETAIL("消费明细"),

    FREEZE_DETAIL("冻结明细"),

    TRANSFER_DETAIL("转账明细"),

    WALLET_DETAIL("钱包明细"),

    WALLET_DETAIL_DETAIL("钱包明细详情"),

    ONLINE_PAY_DETAIL("在线支付明细"),

    MEMBER_BALANCE_SUMMARY("余额汇总"),

    MEMBER_BALANCE_SUMMARY_DETAIL("余额汇总详情"),

    //////////////////// 配置管理 ////////////////////

    CUSTOMER_CONFIG("客商配置"),

    CURRENCY_CONFIG("币种配置"),

    CONSUME_CONFIG("消费配置"),

    TRANSFER_CONFIG("转账配置"),

    WITHDRAWAL_CONFIG("提现配置"),

    WITHDRAWAL_TAX("提现个税"),

    WITHDRAWAL_SERVICE_CHARGE("提现手续费"),

    SPECIAL_CURRENCY_DETAIL("特殊消费配置表"),

    MEMBER_SPECIAL_CURRENCY("会员消费配置"),

    SHOP("配送中心"),
    BDPURPOSE_CONFIG("领用用途配置"),
    AUTHORITY_CONTROL(""),

    GRADE("等级配置"),

    AWARDS_CONFIG("奖衔配置"),

    REPURCHASE_RANGE("复购极差"),

    DISTRIBUTION_CENTER("配送中心"),
    STORE_LEVEL("店铺等级配置"),

    PAY_CONFIG("支付配置"),

    BONUS_ITEMS("奖项配置"),

    BONUS_DIRECT_LOOP("直推配置"),

    EXPAND_CONFIG("拓展配置"),

    COUNSELLING("辅导分红"),

    SERVICE_SUBSIDY("服务补贴"),

    BONUS_DEDUCTION("奖金扣项"),

    BONUS_CLOUD("云代配置"),

    ROUND_INTEGRAL("直推极差"),

    CAR_INTEGRAL("车奖积分"),

    AFFILIATION_TEAM("隶属团队"),

    VERTEX_CONFIG("体系配置"),

    SMS_RECORD("短信记录"),

    SMS_TEMPLATE("短信模板"),

    SMS_CREATE("新増短信"),

    AGREEMENT_CONFIG("协议配置"),

    LABEL_CONFIG("标签配置"),

    SIGN_CONFIG("签呈配置"),

    BANK_CONFIG("银行配置"),

    BUSINESS_SERVICE_CHARGE("业务办理手续费"),

    BARCODE_CONFIG("追溯配置"),

    BD_RETAIL_RANGE("等级极差配置"),

    BANNER_CONFIG("广告Banner"),

    REGISTER_CONFIG("注册页面配置"),

    TRADE_WHITE_CONFIG("交易白名单配置"),

    AGREEMENT_RENEWAL_WHITE("协议续约白名单"),

    TRANSFER_ACCOUNT_WHITE("转账账户白名单"),

    CU_MEMBER_RETAIL_REGION("会员收益区域配置"),

    NOT_USED_REGION_AREA("未使用收益区域"),

    //////////////////// 营销管理 ////////////////////

    PRODUCT_GIVE("商品赠送"),

    CONSUME_GIVE("消费赠送"),

    RECHARGE_PICK("充值提货卡"),

    DRAW_RECORD("中奖记录"),

    DRAW_DETAIL("抽奖明细"),

    AC_RECOMMEEND_CONFIG("直推赠送"),

    AC_WARES_RULE_CONFIG("商品赠送"),

    TICKET_GIVE("门票活动"),
    RETAIL_PICK_PRODUCT("会员提货产品"),
    RETAIL_PICK_PRODUCT_GIVE("提货赠送活动"),
    //////////////////// 系统配置 ////////////////////

    REGISTER_QUANTITY("注册次数"),

    TRANSPORT_TYPE("运输方式"),

    RESETTLE_CHECK("安置校验"),

    CANCEL_TIME("撤单时间"),

    UPGRADE_METHOD("升级方式"),

    RECOMMEND_METHOD("直推方式"),

    TRANSLATE_CONFIG("统一翻译"),

    COUNTRY_CONFIG("国家配置"),

    EXCHANGE_CONFIG("汇率配置"),

    AREA_CONFIG("行政区划"),

    ADMIN_CONFIG("系统管理员"),

    MENU_AUTHORITY_FRONT("前台菜单权限"),

    MENU_AUTHORITY_AFTER("后台菜单权限"),

    ROLE_CONFIG("角色配置"),

    DEPT_CONFIG("部门配置"),

    MENU_CONFIG("菜单管理"),
    STOREHOUSE("仓库配置"),
    CORP_CONFIG("公司"),
    STOREHOUSE_AREA_MIDDLE("地区仓库"),
    PRODUCT_STOREHOUSE("产品绑定仓库配置"),

    //////////////////// 自助服务 ////////////////////
    DOMICILE_CHANGE("户籍变更"),
    MODIFY_ADDRESS("修改地址"),

    //////////////////// 公用 ////////////////////

    COMMON_FILE("文件操作"),

    ///////////////////统计分析/////////////////////////
    REAL_PERFORMANCE_ADDED_AWARDS("真实业绩新增奖衔"),
    UMBRELLA_BALANCE("伞下账户余额"),
    AWARD_ANALYSIS("真实奖衔分析"),
    ANALYSIS_DETAILS("真实奖衔分析详情"),
    GRADE_RECORD("结算等级升级记录"),

    REPURCHASE_PV_STAT("复购PV统计"),
    MALL_BV_STAT("商城BV统计"),
    UMBRELLA_DIRECT_PUSH("伞下直推"),
    PERSON_STAT("个人统计"),
    DIRECT_PUSH_STAT("直推统计"),
    DIRECT_PUSH_DATA("直推数据"),
    PERSON_REPURCHASE("个人复购查询"),
    POSIT_STAT("安置业绩统计"),
    ORDER_SCATTER("会员订单分布统计"),
    AREA_ACHIEVE_STAT("业绩地区统计"),
    VERTEX_ACHIEVE_STAT("系统业绩统计"),
    REVENUE_DETAI_LIST("收入明细"),
    LIANCHUANG_DATA_STAT("数据报表-联创"),
    LIANCHUANG_HOME_DATA_STAT("国内数据报表-联创"),
    LIANCHUANG_ABROAD_DATA_STAT("国外数据报表-联创"),
    RESETTLE_BLOOD("安置血缘"),
    RESETTLE_DETAILS("安置血缘-左右区列表详情"),
    RESETTLE_BLOOD_DETAILS("安置血缘-左右区血缘列表详情"),
    AWARD_PROMOTION("奖衔晋升"),
    MEMBER_ACHIEVE("会员业绩数据查询"),
    UMBRELLA_BELOW_PRODUCT("伞下直推产品查询"),
    UMBRELLA_BELOW_REPEAT("伞下直推产品去重"),
    STAT_PRODUCT("统计产品"),
    DOMICILE_DATA_LIST("户籍数据查询"),
    SMALL_AREA_NEW_ACHIEVE("小区新增业绩"),
    SUPPLIER_GOODS("供应商商品"),
    DIRECT_PUSH_NEW("伞下直推新增业绩"),
    DIRECT_PUSH_BOX("伞下直推大小区盒数"),
    DIRECT_PUSH_NEW_DETAILS("伞下直推新增业绩详情"),

    MEMBER_CONSUMPTION("用户消费统计"),
    MEMBER_RESETTLE_ACHIEVE("伞下新增安置业绩"),
    ORDER_CURRENCY_LIST("订单币种查询"),
    GET_ORDER_DISTRIBUTION("订单分布统计"),
    PRODUCT_SHIPPING_DETAILS_LIST("出货明细汇总统计"),
    PRODUCT_SHIPPING_DETAILS_INFO_LIST("出货明细汇总统计详情"),
    REPORT_SUMMARY_LIST("报单汇总"),
    PLACE_PEG("安置反查"),
    PARENT_PEG("推荐反查"),
    PRODUCT_DETAIL_QUERY_LIST("产品明细查询"),
    MONTHLY_JOB_LEVEL("月度职级名单查询"),
    MEMBER_RISK_CONTROL("K值风控设置"),
    MEMBER_RETAIL_STAT("收益区域数据"),

    PRODUCT_SHIPPING("产品销售统计"),

    PRODUCT_SHIPPING_DETAILS("产品销售统计详情"),
    ;


    /**
     * 显示标签
     */
    private final String label;

}
